# -*- coding: utf-8 -*-

from django import forms
from django.template.defaultfilters import slugify

from image_cropping import ImageCropWidget

from ..models import Goal


class GoalForm(forms.ModelForm):
    class Meta:
        model = Goal
        fields = ('name', 'description', 'value', 'photo')
        widgets = {'photo': ImageCropWidget}

    def save(self, commit=True, *args, **kwargs):
        goal = super(GoalForm, self).save(commit=False)
        goal.owner = kwargs['user']
        instance = kwargs['instance']
        goal.contest = instance.contest
        goal.slug = slugify(goal.name)
        goal.save()
        goal.set_photo_gimme5(
            watermark_path=instance.watermark.path,
            position_x=instance.position_x,
            position_y=instance.position_y,
            opacity=instance.opacity
        )
        goal.save()
        return goal
