
from django.core.exceptions import ObjectDoesNotExist
from django.http import Http404
from django.utils.translation import ugettext as _
from django.views.generic import DetailView

from ..models import Goal


class GoalView(DetailView):
    context_object_name = 'contest_g5_goal_detail'
    template_name = 'contest_g5/cms_apps/goal_detail.html'
    model = Goal

    def get_object(self, queryset=None):
        if queryset is None:
            queryset = self.get_queryset()

        goal_id = self.kwargs.get('goal_id', None)
        queryset = queryset.filter(pk=goal_id)
        try:
            obj = queryset.get()
        except ObjectDoesNotExist:
            raise Http404(_(u"No Page found matching the query"))
        return obj

    def get_context_data(self, **kwargs):
        context = super(GoalView, self).get_context_data(**kwargs)
        return context
